import java.util.HashSet;
import java.util.Set;


public class Driver
{
    public static void displaySet(Set<Person> set)
    {
        System.out.println("############");
        for(Person p: set)
        {
            System.out.println(p);
        }
    }
    /**
     * @param args
     */
    public static void main(String[] args)
    {
        Set<Person> set = new HashSet<Person>();
        
        set.add(new Person("Bert", 31));
        displaySet(set);
        
        set.add(new Person("Ernie", 32));
        set.add(new Person("Bob", 42));
        
        displaySet(set);

        Person p = new Person("Ernie", 32);
        
        
        System.out.println(set.contains (p));
        
        Set<Person> set2 = new HashSet<Person>();
        
        set2.add(p);
        set2.add(new Person("Skip", 3));
        displaySet(set2);
        
        set.addAll (set2);
        
        displaySet(set);
        
    }

}
